package org.jeecg.modules.adweb.marketing.googleads.dto;

import lombok.Data;

/**
 * @author wfansh
 */
@Data
public class ReportRequestDTO {

    private String customerId;

    private String refreshToken;

    private String startDate;

    private String endDate;

    private int limit;

    /** Ensures the limit value is positive by defaulting to 1000. */
    public int getLimit() {
        return limit > 0 ? limit : 1000;
    }
}
