package org.jeecg.modules.adweb.product.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

import java.util.Date;

/**
 * @author chenpeiqing
 */
@Data
public class ProductDTO {
    /** */
    private Integer productId;

    /** adwebpro or woocommerce */
    private String productType;

    /** add, edit, delete */
    private String actionType;

    @JsonFormat(
            shape = JsonFormat.Shape.STRING,
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss")
    private Date requestTime;

    /** */
    private String productName;

    /** */
    private String productNameZh;

    /** */
    private String productImage;

    /** */
    private String[] productGalleryImage;

    /** */
    private String categoryName;

    /** */
    private String authorName;

    /** siteHost */
    private String siteHost;
}
