package org.jeecg.modules.adweb.common.dto;

import java.util.List;
import lombok.Data;

@Data
public class CommonDto {
  private String type;
  private String username;
  private String msg;
  private Integer code;
  private String siteName;
  private String siteCode;
  private String historyId;
  private String planName;

  /** 产品明细 */
  private List<String> name;

  private List<String> category_name;
  private List<String> tag_name;

  /** 搜索趋势，top10 */
  private String country;

  private List<String> searchName;
  private List<Integer> searchValue;
  private List<Integer> proportionList;
}
