package org.jeecg.modules.adweb.dmp.vo.report;

import lombok.Data;

/**
 * 网站分时段统计数据VO, GA流量，询盘数据等
 *
 * @author wfansh
 */
@Data
public class PeriodicStatsVO {

    private String period; // today, yesterday, thisWeek, lastWeek, thisMonth, lastMonth, allTime

    private int totalUsers;

    private int pageViews;

    private int enquires;

    private String enquiryConversionRate; // UV到询盘转化率
}
