package org.jeecg.modules.adweb.subscription.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import org.jeecg.modules.adweb.subscription.entity.SubscribePlan;
import org.jeecg.modules.adweb.subscription.mapper.SubscribePlanMapper;
import org.jeecg.modules.adweb.subscription.service.ISubscribePlanService;
import org.springframework.stereotype.Service;

/**
 * @Description: 网站营销方案套餐表
 * @Author: jeecg-boot
 * @Date: 2024-09-27
 * @Version: V1.0
 */
@Service
public class SubscribePlanServiceImpl extends ServiceImpl<SubscribePlanMapper, SubscribePlan>
        implements ISubscribePlanService {

    @Override
    public SubscribePlan getSubscribePlanBySiteId(Integer siteId) {
        return baseMapper.getSubscribePlanBySiteId(siteId);
    }
}
